package com.example.entity;

import cn.hutool.core.util.ObjectUtil;
import cn.hutool.json.JSONUtil;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 订单表
*/
@Data
public class Orders implements Serializable {
    private static final long serialVersionUID = 1L;

    /** id */
    private Integer id;
    /** 实付金额 */
    private BigDecimal bidPay;
    /** 应付金额 */
    private BigDecimal originPay;
    /** 下单用户id */
    private Integer userId;
    /** 收货地址id */
    private Integer addressId;
    /** 预计送达时间 */
    private String timePre;
    /** 下单时间 */
    private String timeOrder;
    /** 订单状态 */
    private String orderState;
    /** 订单备注 */
    private String orderRemark;
    /** 交易单号 */
    private String transCode;
    /** 订单类型id */
    private Integer orderTypeId;
    /** 店铺id */
    private Integer storeId;
    /** 商品清单 */
    private List<Product> orderProductsLists;

    // 连表查询W
    private User user;
    private Address address;
//    private Store store;


}