package com.example.entity;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 
*/
@Data
public class Store implements Serializable {
    private static final long serialVersionUID = 1L;

    /** id */
    private Integer id;
    /** 店铺名称*/
    private String storeName;
    /** 店铺主id */
    private Integer ownerId;
    /** 产品列表ids */
    private Integer [] productsIds;
    /** 地址列表ids */
    private String addressIds;
    /** 产品类型列表 */
    private Integer [] productTypeIds;
    /** 店铺封面图片*/
    private String storePicUrl;
    // 联合属性
    private List<Product> products;
    private List<ProductType>productTypes;
    private Address address;
    private Adminstore adminstore;
    //    产品表联合
    /** id */
    private Integer productId;
    /** 产品状态 */
    private String productState;
    /** 产品名称 */
    private String productName;
    /** 产品图标url */
    private String productIcons;
    /** 定价 */
    private BigDecimal productBidPrice;
    /** 实付价格 */
    private BigDecimal productSellPrice;
    //     类型表联合
    /** id */
    private Integer productTypeId;
    /** 产品类型名称 */
    private String productTypeName;
}