package com.example.mapper;

import com.example.entity.SaleStatement;
import java.util.List;

/**
 * 操作sale_statement相关数据接口
*/
public interface SaleStatementMapper {

    /**
      * 新增
    */
    int insert(SaleStatement saleStatement);

    /**
      * 删除
    */
    int deleteById(Integer id);

    /**
      * 修改
    */
    int updateById(SaleStatement saleStatement);

    /**
      * 根据ID查询
    */
    SaleStatement selectById(Integer id);

    /**
      * 查询所有
    */
    List<SaleStatement> selectAll(SaleStatement saleStatement);

    /**
     * 根据商品售出完成时间和商品id进行查询
     * 需要携带店铺id，日期范围，
     * @return 返回特定商品在对应日期销售额度
     */
    SaleStatement selectOneProductWithRange(SaleStatement saleStatement);
    /**
     * 筛选店铺商品种类在日期范围的销售额度
     * @return 返回
     */
    List<SaleStatement> selectKindsProductWithRange(SaleStatement saleStatement);

    /**
     * 店铺的总销量
     */
}