package com.example.service;

import com.example.entity.ProductType;
import com.example.mapper.ProductTypeMapper;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import java.util.List;

/**
 * 业务处理
 **/
@Service
public class ProductTypeService {

    @Resource
    private ProductTypeMapper productTypeMapper;

    /**
     * 新增
     */
    public void add(ProductType productType) {
        productTypeMapper.insert(productType);
    }

    /**
     * 删除
     */
    public void deleteById(Integer id) {
        productTypeMapper.deleteById(id);
    }

    /**
     * 批量删除
     */
    public void deleteBatch(List<Integer> ids) {
        for (Integer id : ids) {
            productTypeMapper.deleteById(id);
        }
    }

    /**
     * 修改
     */
    public void updateById(ProductType productType) {
        productTypeMapper.updateById(productType);
    }

    /**
     * 根据ID查询
     */
    public ProductType selectById(Integer id) {
        return productTypeMapper.selectById(id);
    }

    /**
     * 查询所有
     */
    public List<ProductType> selectAll(ProductType productType) {
        return productTypeMapper.selectAll(productType);
    }

    /**
     * 分页查询
     */
    public PageInfo<ProductType> selectPage(ProductType productType, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<ProductType> list = productTypeMapper.selectAll(productType);
        return PageInfo.of(list);
    }

    /**
     * 根据id查询店铺商品类型
     * @param shopId
     * @return
     */
    public List<ProductType> selectByShopId(Integer shopId){
        return productTypeMapper.selectByShopId(shopId);
    }
}