//package com.example.typeHandler;
//
//import com.alibaba.fastjson.JSON;
//import com.example.utils.JsonUtil;
//import com.github.pagehelper.util.StringUtil;
//import org.apache.ibatis.type.BaseTypeHandler;
//import org.apache.ibatis.type.JdbcType;
//
//import java.sql.CallableStatement;
//import java.sql.PreparedStatement;
//import java.sql.ResultSet;
//import java.sql.SQLException;
//
///**
// * @Title: AbstractObjectTypeHandler
// * @Description: mysql存储json的字段类型转换抽象类
// */
//// @Slf4j
//// @MappedJdbcTypes(JdbcType.VARCHAR)
//public abstract class AbstractObjectTypeHandler<T> extends BaseTypeHandler<T> {
//
//    @Override
//    public void setNonNullParameter(PreparedStatement ps, int i, T parameter, JdbcType jdbcType) throws SQLException {
//        if (null != parameter) {
//            ps.setString(i, JsonUtil.obj2json(parameter));
//        }
//    }
//
//    @Override
//    public T getNullableResult(ResultSet rs, String columnName) throws SQLException {
//        return deserialize(rs.getString(columnName));
//    }
//
//    @Override
//    public T getNullableResult(ResultSet rs, int columnIndex) throws SQLException {
//        return deserialize(rs.getString(columnIndex));
//    }
//
//    @Override
//    public T getNullableResult(CallableStatement cs, int columnIndex) throws SQLException {
//        return deserialize(cs.getString(columnIndex));
//    }
//
//    /**
//     * @Description: json反序列化
//     * @param data
//     * @return
//     */
//    private T deserialize(String data) {
//        return StringUtil.isEmpty(data) ? null : string2Obj(data);
//    }
//
//    // 重点，解析方法，子类可重写json解析
//    @SuppressWarnings("unchecked")
//    protected T string2Obj(String jsonString) {
//        Class<T> clazz = (Class<T>)getRawType();
//        return JSON.parseObject(jsonString, clazz);
//    }
//}
